Appearance
Modify Take Profit / Stop Loss
POST
/v1/perps/orders/tp-sl/modify
Change the trigger price of an existing take-profit or stop-loss order. Obtain the
orderId from GET /v1/perps/orders.
Authorizations
apiKey
Your API key
Type
API Key (header: X-VALR-API-KEY)
apiSignature
HMAC SHA512 signature of the request (see Authentication section)
Type
API Key (header: X-VALR-SIGNATURE)
apiTimestamp
Request timestamp in milliseconds
Type
API Key (header: X-VALR-TIMESTAMP)
Request Body
application/json
JSON
{
"pair": "BTCUSDC",
"orderId": 59297808426,
"triggerPrice": "91000"
}
Responses
Take-profit/stop-loss modified successfully
application/json